#include <libcbd.h>

#include <libdevmapper.h>

#include <cbdutil.h>

int
cbd_close(const char* name)
{
    int ret;
    struct dm_task* dmt;

    dmt = dm_task_create(DM_DEVICE_REMOVE);
    ret = dm_task_set_name(dmt, name);
    if (ret == 0) {
        error("dm_task_set_name failed\n");
    }
    /* ret = dm_task_set_add_node(dmt, DEFAULT_DM_ADD_NODE); */
    ret = dm_task_run(dmt);
    dm_task_destroy(dmt);

    return 0;
}
